Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.local
Class LocalProxy

    java.lang.Object
      org.jboss.ejb.plugins.local.LocalProxy

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LocalHomeProxy

public abstract class LocalProxy
extends Object
implements Serializable

Abstract superclass of local interface proxies.

Version:
  $Revision: 1.11 $
Author:
  Daniel OConnor, Scott Stark
See Also:
  Serialized Form

Field Summary
`protected static Object[]` | `EMPTY_ARGS` An empty method parameter list.
`protected static Method` | `EQUALS` `Object.equals(java.lang.Object)` method reference.
`protected BaseLocalProxyFactory` | `factory`
`protected static Method` | `GET_EJB_HOME` `EJBLocalObject.getEJBLocalHome()` method reference.
`protected static Method` | `GET_PRIMARY_KEY` `EJBLocalObject.getPrimaryKey()` method reference.
`protected static Method` | `HASH_CODE` `Object.hashCode()` method reference.
`protected static Method` | `IS_IDENTICAL` `EJBLocalObject.isIdentical(javax.ejb.EJBLocalObject)` method reference.
`protected String` | `jndiName`
`protected static Method` | `REMOVE` `EJBLocalObject.remove()` method reference.
`protected static Method` | `TO_STRING` `Object.toString()` method reference.

Constructor Summary
`LocalProxy(String jndiName, BaseLocalProxyFactory factory)`

Method Summary
`protected abstract Object` | `getId()`
`protected String` | `getJndiName()`
`Object` | `invoke(Object proxy, Method m, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARGS

    protected static final Object[] EMPTY_ARGS

  An empty method parameter list.

### TO_STRING

    protected static final Method TO_STRING

  `Object.toString()` method reference.

### HASH_CODE

    protected static final Method HASH_CODE

  `Object.hashCode()` method reference.

### EQUALS

    protected static final Method EQUALS

  `Object.equals(java.lang.Object)` method reference.

### GET_PRIMARY_KEY

    protected static final Method GET_PRIMARY_KEY

  `EJBLocalObject.getPrimaryKey()` method reference.

### GET_EJB_HOME

    protected static final Method GET_EJB_HOME

  `EJBLocalObject.getEJBLocalHome()` method reference.

### IS_IDENTICAL

    protected static final Method IS_IDENTICAL

  `EJBLocalObject.isIdentical(javax.ejb.EJBLocalObject)` method reference.

### REMOVE

    protected static final Method REMOVE

  `EJBLocalObject.remove()` method reference.

### jndiName

    protected String jndiName

### factory

    protected transient BaseLocalProxyFactory factory

Constructor Detail

### LocalProxy

    public LocalProxy(String jndiName,
                      BaseLocalProxyFactory factory)

Method Detail

### getJndiName

    protected String getJndiName()

### getId

    protected abstract Object getId()

### invoke

    public Object invoke(Object proxy,
                         Method m,
                         Object[] args)
                  throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.